<template>
	<div class="weather-detail">
		<!-- <div class="title" style="padding-top: 35px">今日天气</div>
		<div class="content">
			<p>降水量： 0mm</p>
			<p>西南风： 微风</p>
			<p>相对湿度： 14%</p>
			<p>体感温度：10.4℃</p>
			<p>空气质量：优</p>
			<p>舒适度：凉爽，较舒适</p>
		</div>
    -->
		<div class="title">气象云图</div>
		<div class="close" @click="close">X</div>

		<div class="video">
			<!-- <video src="@/assets/video/云图.mp4" loop autoplay muted></video> -->
		</div>
	</div>
</template>

<script setup>
import { defineEmits } from 'vue';
const emits = defineEmits('close')
function close() {
  emits('close')
}
</script>

<style lang="less" scoped>
	.weather-detail {
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		position: absolute;
		z-index: 99;
		width: 900px;
		height: 550px;
		background: url("@/assets/img/menubar/dialog-bg.png");
		background-size: 100% 100%;
		display: flex;
		flex-direction: column;
		align-items: center;
		.title {
			padding-top: 20px;
			padding-bottom: 20px;
			font-size: 25px;
			color: #fff;
			font-weight: 700;
		}
		.content {
			display: flex;
			width: 75%;
			flex-wrap: wrap;
			justify-content: space-around;
			height: 100px;
			p {
				font-size: 18px;
				color: #fff;
				width: calc(100% / 3);
				height: 20px;
			}
		}
		.video {
			width: 810px;
			height: 420px;
		}
		.close {
			position: absolute;
			// top: 60px;
			right: 20px;
			font-size: 35px;
			// visibility: hidden;
      opacity: 0;
      cursor: pointer;
      color: #fff;
		}
	}
</style>
